Error resolving Swift Packages

#1

Bitrise Build Issue Report template

Description of the issue

The build always fails to resolve the Swift Package dependencies (all public) at the Xcode Test for iOS step.

xcodebuild: error: Could not resolve package dependencies:
The repository at /Users/vagrant/Library/Developer/Xcode/DerivedData/TeamApp-agqxjbpwrdczbldhxwiirathbkfa/SourcePackages/repositories/json-logic-swift-ccf2e615 is invalid; try resetting package caches

Environment:

Xcode 11.3.x, on macOS 10.14.6 (Mojave)
Xcode Test for iOS 2.4.5

Reproducibility

Always on Bitrise. Never locally using Xcode nor the Bitrise CLI.

Local reproduction

No. Tested using the Biterise CLI.

Build log

0 Likes

#2

Hi @chamithaw! Sorry about the long delay. In case the issue is persistent, can you try to delete your cache (in the settings) or disable it in the Xcode test step?

0 Likes

closed #3

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

0 Likes